Skip to main content
GET
/
v1
/
models
/
{owner}
/
{id}
Get model by owner and slug
curl --request GET \
  --url https://api.runflow.io/v1/models/{owner}/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "model_creator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "slug": "<string>",
  "name": "<string>",
  "description": "<string>",
  "version": "<string>",
  "is_public": true,
  "is_open_source": true,
  "icon_url": "<string>",
  "cover_url": "<string>",
  "category_code": "<string>",
  "status_code": "<string>",
  "family_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "family_variant_code": "<string>",
  "param_count": "<string>",
  "architecture": "<string>",
  "license_code": "<string>",
  "max_resolution": "<string>",
  "lora_support": true,
  "fine_tuning": true,
  "supports_streaming": true,
  "paper_url": "<string>",
  "github_url": "<string>",
  "is_official": true,
  "availability_status": "<string>",
  "seo": {},
  "notable_features": [
    "<unknown>"
  ],
  "content": "<string>",
  "pricing_note": "<string>",
  "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "deleted_at": "2023-11-07T05:31:56Z",
  "deleted_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "inputs": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "display_name": "<string>",
      "description": "<string>",
      "variable_type_code": "<string>",
      "default_behavior_code": "<string>",
      "validator_code": "<string>",
      "validator_attrs": {},
      "is_required": true,
      "default_value": {},
      "sort_order": 123,
      "is_featured": true,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "outputs": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "display_name": "<string>",
      "description": "<string>",
      "variable_type_code": "<string>",
      "validator_code": "<string>",
      "validator_attrs": {},
      "sort_order": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "examples": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "title": "<string>",
      "description": "<string>",
      "input": {},
      "output": {},
      "status_code": 123,
      "cost": "<string>",
      "start_type": "<string>",
      "timing": {},
      "duration_ms": 123,
      "total_ms": 123,
      "thumbnail_url": "<string>",
      "category_code": "<string>",
      "is_featured": true,
      "is_public": true,
      "sort_order": 123,
      "ran_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "faq_entries": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "question": "<string>",
      "answer": "<string>",
      "sort_order": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "pricing": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "pricing_model_code": "<string>",
      "rule_effect_code": "<string>",
      "model_input_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "match_value": null,
      "dimension_code": "<string>",
      "min_value": "<string>",
      "max_value": "<string>",
      "price": "<string>",
      "currency_code": "<string>",
      "unit_code": "<string>",
      "multiplier_label": "<string>",
      "description": "<string>",
      "sort_order": 123,
      "disabled_at": "2023-11-07T05:31:56Z",
      "measurement_source": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "related_links": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "related_model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "sort_order": 123,
      "created_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Organization-Id
string | null

Path Parameters

owner
string
required
id
string
required

Query Parameters

embed
string | null

Response

Successful Response

Response shape.

id
string<uuid> | null
org_id
string<uuid> | null
model_creator_id
string<uuid> | null
slug
string | null
name
string | null
description
string | null
version
string | null
is_public
boolean | null
is_open_source
boolean | null
icon_url
string | null
cover_url
string | null
category_code
string | null
status_code
string | null
family_id
string<uuid> | null
family_variant_code
string | null
param_count
string | null
architecture
string | null
license_code
string | null
max_resolution
string | null
lora_support
boolean | null
fine_tuning
boolean | null
supports_streaming
boolean | null
paper_url
string | null
github_url
string | null
is_official
boolean | null
availability_status
string | null
seo
Seo · object
notable_features
any[] | null
content
string | null
pricing_note
string | null
created_by
string<uuid> | null
created_at
string<date-time> | null
updated_at
string<date-time> | null
deleted_at
string<date-time> | null
deleted_by
string<uuid> | null
inputs
FullValidator · object[] | null
outputs
FullValidator · object[] | null
examples
FullValidator · object[] | null
faq_entries
FullValidator · object[] | null
pricing
FullValidator · object[] | null